import { GridHeaderBar } from './../../resources/elements/grid-header-bar';
import { EnumSelected } from './../../model/common-model';
import { IFilter } from "ag-grid-community";
import { FloatingBoxViewModel } from './floating-box';
export interface Filter {
    field: string;
    type: string;
    instance: IFilter;
    curentElem: Element;
}
export interface EnumSelectedFilter extends EnumSelected {
    id: number | string;
}
export declare class FilterViewBox extends FloatingBoxViewModel {
    private containerInstance;
    private currentFilters;
    constructor(containerInstance: GridHeaderBar);
    activate(config: any): Promise<void>;
    attached(): void;
    getTitle(): string;
    resetFilter(): void;
    private createFilterArray;
    private sortFilters;
}
